package com.logicbig.example;

import org.springframework.data.repository.CrudRepository;
import java.util.List;

public interface EmployeeRepository extends CrudRepository<Employee, Long> {
    List<Employee> findByDept(String deptName);
    List<Employee> findBySalaryGreaterThan(int salary);
    List<Employee> findByDeptAndSalaryLessThan(String deptName, int salary);
}